JDK9+ build improvements

Description

We should target JDK9 for the modules related option and not just JDK9.

Moreover, we should run at most as possible with --illegal-access=deny to detect illegal accesses in our own code.

Environment

None

Status

Assignee

Guillaume Smet

Reporter

Guillaume Smet

Labels

None

Feedback Requested

None

Feedback Requested By

None

backPortable

None

Suitable for new contributors

None

backportDecision

None

backportReEvaluate

None

Components

Fix versions

Priority

Minor
Configure